Subject: bug#10705: 24.0.93; Collect strings matching regexp from Isearch

From: "Drew Adams" <[email-masked]>
Date: Sat, 4 Feb 2012 06:41:30 -0800

> When you say "in word search" etc., you actually mean "when invoked
> after a word search command", right?  If so, I suggest the following
> wording:
> 
>    Run `occur' using the last search string as the regexp.
>  Interactively, REGEXP is constructed using the search string from the
>  last search command.
> 
>  If the last search command was a word search, REGEXP is computed from
>  the search words disregarding punctuation.  If the last search
>  command was a regular expression search, REGEXP is the regular
>  expression used in that search.  If the last search command searched
>  for a string, REGEXP is constructed by quoting all the special
>  characters in that string.

+1, with the same assumption ("when you say...").

However:

* it should be "the search words, disregarding punctuation" (comma - it is not
the words themselves that disregard punctuation)

* "ignoring" is better than "disregarding" here

  And just what do we mean by the computation of REGEXP paying no
  attention to punctuation?  Maybe an "(e.g. ...)" is in order.

* "searched for a literal string" (or "searched for a regular string") is
perhaps better than "searched for a string"

  FWIW, the doc string for `isearch-forward-regexp' refers to a
  literal search as "a regular string search".  But I'm not sure
  that "regular string" is a good choice in such contexts, as it
  can suggest having something to do with regular expressions.